import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { ToastService } from 'tango-app-ui-shared';
import { TraxService } from '../../services/trax.service';
import dayjs from 'dayjs';
import { FormBuilder, FormControl, FormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class DashboardInfoComponent implements OnDestroy, OnInit {
    private route;
    private router;
    gs: GlobalStateService;
    private changeDetector;
    private toast;
    private TraxService;
    private fb;
    private pageInfo;
    private toastService;
    dayjs: typeof dayjs;
    private detach;
    private destroy$;
    isExport: boolean;
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    paginationSizes: any[];
    pageSize: number;
    sortColumName: string;
    sortBy: any;
    sortDirection: any;
    searchInput: any;
    infoChecklistData: any[];
    checklistDropdown: any[];
    userlistDropdown: any[];
    searchDisabled: boolean;
    invoiceList: any[];
    checklistLoading: boolean;
    checklistNoData: boolean;
    headerData: any;
    receivedData: string;
    form: FormGroup;
    selectControl: FormControl;
    checklistselectControl: FormControl;
    userlistselectControl: FormControl;
    selectedlistselectControl: FormControl;
    selectedUser: any;
    selectedUserType: string;
    selectedSourceUserId: string;
    selectedStatus: any;
    selectedStatusType: string;
    selectedSourceStatusId: string;
    dateType: string;
    checklistdatasets: Array<{
        value: string;
        label: string;
    }>;
    infoCardDataLoading: boolean;
    infoCardNoData: boolean;
    infoCardsData: any;
    selectedChecklist: any;
    selectedChecklistType: string;
    selectedSourceCheckListId: any;
    selectDropdown: any[];
    selectedvalue: any;
    statusselectControl: {
        _id: string;
        label: string;
    }[];
    timeFlag: any;
    date: any;
    infoComparisonCardsData: any;
    searchValue: string;
    limit: number;
    offset: number;
    dateLength: number;
    checklistInfoDate: string;
    refreshDropdown: boolean;
    refreshuserDropdown: boolean;
    selectAll: boolean;
    isTodaySelected: boolean;
    monthlyperformce: string;
    todayDate: string;
    userEmailes: any;
    traxMonthlyComparisonData: any;
    constructor(route: ActivatedRoute, router: Router, gs: GlobalStateService, changeDetector: ChangeDetectorRef, toast: ToastService, TraxService: TraxService, fb: FormBuilder, pageInfo: PageInfoService, toastService: ToastService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    setPageData(): void;
    getUserlistDropdown(): void;
    getchecklistDropdown(): void;
    getInfoCardsData(): void;
    getInfoComparisonCardsData(): void;
    getChecklistInfoData(): void;
    searchField(): void;
    sortData(column: string): void;
    onPageSizeChange(pageSize: any): void;
    onPageChange(pageOffset: any): void;
    setPaginationSizes(): void;
    onChecklistSelect(event: any): void;
    onUserSelect(event: any): void;
    trimText(text: string): string;
    onValueChangeStatusSelect(event: any): void;
    reinitiate(id: string): void;
    sendAlert(id?: string): void;
    onExport(): void;
    download(type: 'pdf', item: any): void;
    dateValue(type: string): void;
    navigateToGallery(item: any): void;
    toggleSelectAll(): void;
    updateSelectAllState(): void;
    displaySelectAllBadge(): void;
    getSvgColor(status: string): string;
    get isSendAlertEnabled(): boolean;
    get selectedCheckboxCount(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<DashboardInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DashboardInfoComponent, "lib-dashboard-info", never, {}, {}, never, never, false, never>;
}
